GET Premier Roster Match History
https://pd.{shard}.a.pvp.net/premier/v1/rosters/{rosterid}/matchhistory Get the Premier match history for a roster, split by league and tournament matches.
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type PremierRosterMatchHistoryResponse = {
/** Roster ID */
id: string;
leagueMatchHistory: {
/** UUID */
matchId: string;
leaguePointsBefore: number;
leaguePointsAfter: number;
leaguePointsEarned: number;
/** Milliseconds since epoch */
startTime: number;
}[];
tournamentMatchHistory: {
/** UUID */
tournamentId: string;
finalPlacement: number;
finalPlacementLeaguePointsBonus: number;
leaguePointsBefore: number;
leaguePointsAfter: number;
leaguePointsEarned: number;
/** Unix timestamp (seconds) */
startTime: number;
/** Map of match ID to score */
matchEntries: {
[x: string]: number;
};
tournamentMatchData: {
[x: string]: {
points: number;
roundNumber: number;
totalRounds: number;
/** e.g. "WINNERS", "LOSERS" */
bracketType: string;
};
};
}[];
}; {
"id": "6aF27e77-1154-d3DC-1DE0-3147fddcC79D",
"leagueMatchHistory": [
{
"matchId": "B0A375C4-61f2-D2AA-084D-44D68F5E87e3",
"leaguePointsBefore": 4369328624472880,
"leaguePointsAfter": 4161526735016175,
"leaguePointsEarned": 2525800875668067,
"startTime": 421196376976316
},
{
"matchId": "EffBfb6F-fB5E-fD57-1E06-c0bdcA7B8E2E",
"leaguePointsBefore": 1142229666821854,
"leaguePointsAfter": 1091487054975236,
"leaguePointsEarned": 1065762523433008,
"startTime": 4771949165352753
},
{
"matchId": "8957bA5f-76f2-Ca4f-B4ea-D3d0e7BBf0bD",
"leaguePointsBefore": 1191881891721644,
"leaguePointsAfter": 530967263898033,
"leaguePointsEarned": 8158997663534478,
"startTime": 485430476129583
},
{
"matchId": "670F1FB3-eefC-7E44-ABCa-eC26A5Fe59e5",
"leaguePointsBefore": 2654584930320425,
"leaguePointsAfter": 253311404732172,
"leaguePointsEarned": 454869243645944,
"startTime": 7753808245395771
},
{
"matchId": "BdfD32cD-33e1-4e7F-C1cc-a35Eb85CE434",
"leaguePointsBefore": 6267543495352559,
"leaguePointsAfter": 6934128566008620,
"leaguePointsEarned": 4081997696407591,
"startTime": 6822197326419513
}
],
"tournamentMatchHistory": [
{
"tournamentId": "F099ceCb-6fE5-44cA-BBc7-8e58F2c2CEc0",
"finalPlacement": 2649693908678334,
"finalPlacementLeaguePointsBonus": 997833096121334,
"leaguePointsBefore": 1124610571441963,
"leaguePointsAfter": 8009626960714090,
"leaguePointsEarned": 8610218876381636,
"startTime": 6937713989463880,
"matchEntries": {
"bc0ba43b-ed00-17Ec-29d5-971DBcFBDb82": 3907682522899407
},
"tournamentMatchData": {
"71e77AF9-0A45-6af9-Fa6C-C0A00f7bde82": {
"points": 4622839169350151,
"roundNumber": 2753072866606974,
"totalRounds": 5479305036616834,
"bracketType": "barba"
}
}
},
{
"tournamentId": "c0B44E0a-eF99-aAAb-0AEa-9BaB9C1e6568",
"finalPlacement": 4799656446739681,
"finalPlacementLeaguePointsBonus": 2526538963217497,
"leaguePointsBefore": 7998556051177657,
"leaguePointsAfter": 8475512308811098,
"leaguePointsEarned": 2161555823185245,
"startTime": 3478254538026051,
"matchEntries": {
"1596cAb5-f2fE-Da04-DdB8-dE041943d3cc": 5862331793627772
},
"tournamentMatchData": {
"a1bAFC3a-1Ce3-eB67-D6E1-7344A8cBcAb5": {
"points": 289332794729544,
"roundNumber": 4710825370626483,
"totalRounds": 637098370095650,
"bracketType": "consequatur"
}
}
}
]
}